सामग्री पर जाएँ

Nemotron Diffusion Vlm

इंटीग्रेट करें

मॉडल id nemotron-diffusion-vlm
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/nemotron-diffusion-vlm?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध: ≈$0.005 5 API क्रेडिट · ≈ ₽0.53 इसे इस पेज पर चलाएँ

API कुंजी प्राप्त करें
NVIDIA विज़न #utility#editing

विज़न-लैंग्वेज मॉडल जो डिफ्यूज़न-आधारित टेक्स्ट डिकोडिंग का उपयोग करके छवि के बारे में प्रॉम्प्ट का उत्तर देता है

NVIDIA · टेक्स्ट

आपका पहला परिणाम यहाँ आएगा

नीचे एक अनुरोध बनाएँ और उसे अपनी API कुंजी से चलाएँ। आउटपुट हमारे स्टोरेज में कॉपी किए जाते हैं और हमेशा के लिए या 7 दिन तक मुफ़्त में रखे जाते हैं।

अनुरोध बनाएँ

कंट्रोल मॉडल स्कीमा से जनरेट होते हैं। इन्हें बदलने पर कोड और कीमत अपडेट होती है।

•आवश्यक

इमेज के बारे में क्या उत्तर देना है, यह निर्दिष्ट करने वाला प्रॉम्प्ट।

•आवश्यक image_url
फ़ाइल ड्रॉप करें, या

प्रोसेसिंग के लिए इमेज की ओर संकेत करने वाला URL।

उन्नत max_tokens · num_inference_steps · block_length · threshold · enable_safety_checker
डिफ़ॉल्ट 512

निर्मित टोकन की अधिकतम सीमा।

डिफ़ॉल्ट 256

डिफ्यूज़न डिकोडिंग चरणों की संख्या स्पष्ट रूप से निर्दिष्ट करते समय इसे max_tokens / block_length के गुणज के रूप में चुनें; यह संख्या उस भागफल से कम भी नहीं होनी चाहिए।

डिफ़ॉल्ट 32

प्रत्येक डिफ्यूज़न डिकोडिंग ब्लॉक की लंबाई।

डिफ़ॉल्ट 0.9

डिफ्यूज़न डिकोडिंग के लिए कॉन्फिडेंस कटऑफ़।

POST /run/nemotron-diffusion-vlm?wait=20 कोटेशन → $0.005
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/nemotron-diffusion-vlm?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध चलाएँ

आपकी key इसी ब्राउज़र में रहती है: इसे केवल Doitong API को भेजा जाता है और केवल तभी (localStorage) में सेव किया जाता है जब आप Remember चुनते हैं। API कुंजी प्राप्त करें

Nemotron Diffusion Vlm के बारे में

`image_url` में एक इमेज और `prompt` में एक प्रश्न लेता है तथा टेक्स्ट उत्तर लौटाता है। Decoding को `max_tokens` (1 से 8192), `num_inference_steps` (1 से 1024), `block_length` (8 से 128) और 0 से 1 तक के विश्वास `threshold` के माध्यम से समायोजित किया जा सकता है। आउटपुट में timing और उपयोग का विवरण भी शामिल होता है।

पैरामीटर

कैनोनिकल नाम या नेटिव नाम में से कोई एक भेजें, दोनों नहीं। कैनोनिकल नाम

नामप्रकार डिफ़ॉल्टअनुमत विवरण
image_urlआवश्यक image
प्रकारurl · image
प्रोसेसिंग के लिए इमेज की ओर संकेत करने वाला URL।
promptआवश्यक
प्रकारstring
इमेज के बारे में क्या उत्तर देना है, यह निर्दिष्ट करने वाला प्रॉम्प्ट।
max_tokensवैकल्पिक
प्रकारinteger
डिफ़ॉल्ट512
1 – 8,192
निर्मित टोकन की अधिकतम सीमा।
num_inference_stepsवैकल्पिक
प्रकारinteger | null
डिफ़ॉल्ट256
1 – 1,024
डिफ्यूज़न डिकोडिंग चरणों की संख्या स्पष्ट रूप से निर्दिष्ट करते समय इसे max_tokens / block_length के गुणज के रूप में चुनें; यह संख्या उस भागफल से कम भी नहीं होनी चाहिए।
block_lengthवैकल्पिक
प्रकारinteger
डिफ़ॉल्ट32
8 – 128
प्रत्येक डिफ्यूज़न डिकोडिंग ब्लॉक की लंबाई।
thresholdवैकल्पिक
प्रकारnumber
डिफ़ॉल्ट0.9
0 – 1
डिफ्यूज़न डिकोडिंग के लिए कॉन्फिडेंस कटऑफ़।
enable_safety_checkerवैकल्पिक
प्रकारboolean
डिफ़ॉल्टtrue
यदि कॉलर अधिकृत है, तो false सेट करके स्क्रीनिंग में ढील दी जा सकती है।
आवश्यक कैनोनिकल नाम, यह भी स्वीकार्य है

फ़ाइल पैरामीटर में सार्वजनिक https:// URL, 10 MB तक का data: URI, या अपलोड का file_url लिया जाता है। फ़ाइलें

आउटपुट

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "nemotron-diffusion-vlm",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 5,
    "usd": "0.005",
    "charged": 5,
    "refunded": 0
  },
  "input": {
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "output": "The image shows a dog sitting outdoors.",
    "usage": {
      "prompt_tokens": 1,
      "completion_tokens": 1,
      "num_function_evals": 1
    },
    "timings": {
      "total_time": 1.0,
      "image_validation_time": 1.0,
      "preprocessing_time": 1.0,
      "gpu_transfer_time": 1.0,
      "generation_time": 1.0,
      "decode_time": 1.0
    }
  },
  "outputs": [
    {
      "type": "file",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
आपकी फ़ाइलें, आपकी पसंदहर outputs[].url हमारे स्टोरेज में एक कॉपी है: हमेशा के लिए (प्रति GB-माह भुगतान) या 7 दिन तक मुफ़्त में, आपके अकाउंट की सेटिंग या ?storage= के अनुसार।
हर मॉडल पर एक जैसा आकारइमेज, वीडियो और ऑडियो सभी के लिए type, url, content_type, width, height और duration। output मॉडल का अपना परिणाम ऑब्जेक्ट है।
आउटपुट के फ़ील्ड
output
stringमॉडल द्वारा निर्मित उत्तर।
usage
object {prompt_tokens, completion_tokens, num_function_evals}टोकन और डिफ्यूज़न डिकोडिंग के उपयोग का विवरण।
timings
object {total_time, image_validation_time, preprocessing_time, gpu_transfer_time, generation_time, decode_time}अनुरोध प्रोसेसिंग समय का विवरण, सेकंड में मापा गया।

AI एजेंट के लिए: इस पेज का Markdown यहाँ है https://doitong.com/hi/developers/models/nemotron-diffusion-vlm.md. सभी मॉडल और गाइड: https://doitong.com/developers/llms.txt